#! /bin/sh
#
#  config_new.sh

# Set up networking if they installed network tools. 
# Without this line, the interfaces won't come up.

# if [ "$NETWORK" = "1" ]; then
    echo "NETWORKING=yes" > /etc/sysconfig/network

    if [ -z ${hostname} ]; then
	dialog --no-collapse --inputbox \
'    Please enter a host name for
    this machine or accept the default
' 12 70 Slinky
	2>/tmp/dialog.ipt
       hostname=`cat /tmp/dialog.ipt`
    fi
    echo HOSTNAME=$hostname >> /etc/sysconfig/network

#     if [ -z ${gateway} ]; then
#     echo -n "If you are on a network, enter a gateway IP: "
#     read gateway
#     fi
#     echo GATEWAY=$gateway >> /etc/sysconfig/network 
# fi

# Run authconfig. Enable md5 and shadow.
/usr/sbin/authconfig --kickstart --enablemd5 --enableshadow > /dev/null 2>&1

dialog --no-collapse --msgbox \
'    Please set the root password now
' 12 70

/usr/bin/passwd
echo

# Create a non-root user account.
while :; do
    dialog --no-collapse --form \
'    Please create a non-root user account, this is required!
    Enter userId and full name or accept the default
' 12 70 0 "Login name " 1 1 "slinky"       1 13 10 0 \
	  "Full name  " 2 1 "Slinky Admin" 2 13 30 0 2>/tmp/dialog.ipt

    login_name=`head -1 /tmp/dialog.ipt`
    full_name=`tail -1 /tmp/dialog.ipt`

    if [ -n ${login_name} ]; then
	if [ -n "${full_name}" ]; then
	    /usr/sbin/useradd ${login_name}
	    /usr/bin/chfn -f "${full_name}" ${login_name}
	    break
	else
	    echo Full name missing, try again ...
	    sleep 3
	fi
    else
	echo Login name missing, try again ...
	sleep 3
    fi
done

# Set a password for the new user.

dialog --no-collapse --msgbox \
"    Please set the password for ${login_name}
" 12 70

/usr/bin/passwd ${login_name}

# if [ "$packprefix" = 'all' ]; then
    # echo kudzu needs /etc/modprobe.conf
    [ ! -f /etc/modprobe.conf ] && cp /etc/modprobe.conf.dist /etc/modprobe.conf
# fi

# Create /etc/sysconfig/keyboard, use same as for installation
keyboard=/etc/sysconfig/keyboard

[ -f $keyboard ] && mv $keyboard $keyboard.orig
cat <<EOF >$keyboard
KEYBOARDTYPE="pc"
EOF

# echo "keymap is <${keymap}>"
# read x

case "$keymap" in
"de.map")
    echo 'KEYTABLE="de-latin1-nodeadkeys"' >>$keyboard
    ;;
"fr.map")
    echo 'KEYTABLE="fr-latin1"' >>$keyboard
    ;;
"it.map")
    echo 'KEYTABLE="it"' >>$keyboard
    ;;
*)
    echo 'KEYTABLE="us"' >>$keyboard
    ;;
esac
