#! /bin/sh
#
#  in_newroot.sh   Run $1 in the new root-context.
#                  That means '/newroot' is the new '/' directory.
#

stop_go () {
    echo -n 'Hit ENTER'
    read x
}

PWD=`/bin/pwd`

echo "About to make '/newroot' the new '/' direcory." | tee -a $i_log
[ ! -d /newroot ] && mkdir /newroot
cd /newroot
if [ "$PWD" != "/newroot" ]; then
    echo "Failed to cd to '/newroot', exiting." | tee -a $i_log
    stop_go
    return
fi

echo "Executing pivot_root, making '/newroot' the new '/' directory" | tee -a $i_log
[ ! -d oldroot ] && mkdir oldroot
# pivot_root NEWroot PUTold
pivot_root . oldroot || {
    echo "Current workinng directory: <$PWD>" | tee -a $i_log
    echo 'Statement: pivot_root . oldroot    failed.' | tee -a $i_log
    echo '             . is the NEWroot, oldroot should become OLDroot'
    echo 'Installation can not continue, exiting.'
    stop_go
    return
}

#  from now on reset context on CTRL-C SIGINT
trap 'cd /oldroot;
      pivot_root . newroot' 2

echo "Success! '/newroot' is the new '/' directory now" # | tee -a $i_log
# If this shell is killed, init respawns /scripts/run_installer.
# But from now on /scripts is located at /oldroot/scripts.
# Try: symlink it to the new / (/newroot)
[ ! -e /scripts ] && ln -s /oldroot/scripts .

chroot . /bin/sh /root/scripts/$1

# At this point, we lose this shell for the time being.
# It'll be here waiting when we back our way out.
# The script will then finish executing the commands below.

cd /oldroot
# pivot_root NEWroot PUTold
pivot_root . newroot || {
    echo "Current workinng directory: <$PWD>" # | tee -a $i_log
    echo 'Statement: pivot_root . /newroot failed.' # | tee -a $i_log
    echo '             . is the NEWroot, newroot should become OLDroot'
    echo "Installation can not continue, exiting."
    echo -n 'Hit ENTER'; read x
    return
}

# clear the trap
trap '' 2

# stop_go
