#!/bin/sh

# Copyright (C) 2002 Michael Fratoni
# <Devon@tuxfan.homeip.net>
# Copyright (C) The "RULE" project
# http://www.freesoftware.fsf.org/rule

# Remove temporary directories, unmount file systems,
# and reboot the machine cleanly.

# set -x

cd /
# Get rid of the /newroot/proc link, replace with a directory.
rm -f /newroot/proc
mkdir /newroot/proc

# Get rid of the temporary mount point.
rm -rf /newroot/oldroot

# Clear out /etc/mtab, otherwise the kernel thinks / is mounted on reboot.
echo > /newroot/etc/mtab

dialog --colors --yesno "
    We are about to reboot the newly installed system.
    Don't forget to eject Floppy and/or CD.

    Reboot now ?
" 12 70
[ $? -eq 0 ] && answer=yes || answer=no
if [ "$answer" = 'yes' ]; then

  # mount
  # cat /proc/mounts
  # echo Hit ENTER; read x

  # Unmount all mounted  partitions.
  echo "Unmounting filesystems."
  # unmount /newroot and all filesystems beneath
  cat /proc/mounts | grep /newroot/mnt | awk '{print $2}' | sort -r | while read fs; do
    umount $fs
  done
  cat /proc/mounts | grep /newroot | awk '{print $2}' | sort -r | while read fs; do
    umount $fs
  done


  umount -a
  # Turn off swap.
  echo "Turning off swap."
  for device in $SWAP_DEV; do
    swapoff $device
  done;

  echo "Done. The install is complete! - rebooting"
  sleep 2
  reboot    # if this doesn't work, as a last resort do ...
  kill 1
else
  echo ...
fi

