#!/bin/bash

. version.h

mkisofsopts="-J -L -N -r -T -v -x ./lost+found"
vol_id="-A ${archive_name} -V ${archive_name}"

SLINKYDIR="rule_iso"
BOOTIMG="images/${version}-disk1.img"
BOOTCAT="boot.cat"

if [ -d ${SLINKYDIR} ]; then
    rm -rf $SLINKYDIR/images/*
    rm -rf $SLINKYDIR/install/*
    rm -rf $SLINKYDIR/PCMCIA
else
    mkdir -p ${SLINKYDIR}/images
    mkdir -p slinky-images/${version}
fi

# FIXME: 0.4.03: PCMCIA is not prepared by now
[ -d PCMCIA ] && cp -a PCMCIA $SLINKYDIR
[ -d docs ]  && cp -a docs/* ${SLINKYDIR}

[ ! -f slinky-images/${version}/${version}-disk1.img ] && ./makedisk.sh

cp -a slinky-images/${version}/${version}-disk1.img ${SLINKYDIR}/images/
# cp -a slinky-images/${version}/${version}-disk2.img ${SLINKYDIR}/images/
# FIXME: 0.4.03: PCMCIA is not prepared by now
# cp -a slinky-images/${version}/pcmcia.img ${SLINKYDIR}/images/

# mkdir -p ${SLINKYDIR}/install/stage2
# cp -a DISK2/* ${SLINKYDIR}/install/stage2

mkisofs $vol_id $mkisofsopts -b $BOOTIMG -c $BOOTCAT\
   -o slinky-images/${version}/${version}.iso $SLINKYDIR
rm -f slinky-images/${version}/${version}.iso.bz2
bzip2 --best slinky-images/${version}/${version}.iso

cd slinky-images/${version}/
md5sum *.img* > MD5SUMS
md5sum *.iso* >> MD5SUMS

exit
